package ru.ifmo.ga.ca.dct.modules;

import ru.ifmo.ga.ca.dct.CAModule;
import ru.ifmo.ga.ca.dct.CAPoint;
import ru.ifmo.ga.fx.Point;

import java.util.TreeSet;
import java.util.ArrayList;

public class DuplicateCheckerModule extends CAModule {
    public DuplicateCheckerModule() throws Exception{
        TreeSet<Point> set = repository.getPoints();
        ArrayList<Point> list = new ArrayList<Point>(set);
        for (int i = 0; i < list.size() - 1; i++) {
            for (int j = i + 1; j < list.size(); j++) {
                CAPoint p1 = (CAPoint) list.get(i);
                CAPoint p2 = (CAPoint) list.get(j);
                assert !p1.getRule().equals(p2.getRule());
            }
        }
    }

    public static void main(String[] args) throws Exception {
        new DuplicateCheckerModule();
    }
}
