package ru.ifmo.ga.fx;

public abstract class AbstractPoint implements Point {

    public int compareTo(Point p) {
        return this.getMetadata().compareTo(p.getMetadata()); 
    }

    public AbstractPoint clone() {
        try {
            return (AbstractPoint) super.clone();
        } catch (CloneNotSupportedException e) {
            System.out.println(e.getMessage());
            return null;
        }
    }
}
