package ru.ifmo.ga.ca.randomizer;

import ru.ifmo.ga.ca.configuration.Configuration;
import ru.ifmo.ga.ca.configuration.ConfigurationFactory;

/**
 * User: Yuri D. Bedny
 * Date: Apr 9, 2006
 * Time: 11:25:25 AM
 */

abstract class AbstractRandomizer implements Randomizer {
    protected final ConfigurationFactory factory;
    protected final int size;

    AbstractRandomizer(ConfigurationFactory.Implementation impl, int size) {
        this.factory = new ConfigurationFactory(impl);
        this.size = size;
    }

    public abstract Configuration random();

    public void init() {
        
    }
}
