package ru.ifmo.ga.ca.randomizer;

import ru.ifmo.ga.ca.configuration.Configuration;
import ru.ifmo.ga.ca.configuration.ConfigurationFactory;

/**
 * User: Yuri D. Bedny
 * Date: Apr 2, 2006
 * Time: 8:51:19 PM
 */

class EveryBitRandomizer extends AbstractRandomizer {

    public EveryBitRandomizer(ConfigurationFactory.Implementation impl, int size) {
        super(impl, size);
    }

    public Configuration random() {
        Configuration c = factory.create(size);
        for (int i = 0; i < size; i++) {
            c.set(i, Math.random() >= 0.5);
        }
        return c;
    }
}
