package ru.ifmo.ga.ca.tournament;

import ru.ifmo.ga.ca.configuration.Configuration;

import java.util.ArrayList;

/**
 * User: Yuri D. Bedny
 * Date: May 21, 2006
 * Time: 10:30:26 PM
 */

public class ICContext {
    private final ArrayList<CAContext> win = new ArrayList<CAContext>();
    private final ArrayList<CAContext> lost = new ArrayList<CAContext>();

    public ArrayList<CAContext> getWin() {
        return win;
    }

    public ArrayList<CAContext> getLost() {
        return lost;
    }

    private final Configuration cfg;
    private int score;

    public ICContext(Configuration cfg) {
        this.cfg = cfg;
    }

    public Configuration getCfg() {
        return cfg;
    }

}
